[Testing Update] 2017-09-16 - Linux316, Blender, Python, Pamac

update
testing

#1

Hi community,

We fixed some small detail in Blender, updated Kernel v3.16 and pushed out some regular Python and Bitcoin updates. Additionally we have now Pamac v6.0. Read also the release announcement.

Please test and give us feedback as usual


Current supported Kernels

  • linux310 3.10.107
  • linux316 3.16.48
  • linux318 3.18.71 [EOL]
  • linux41 4.1.43
  • linux44 4.4.88
  • linux49 4.9.50
  • linux410 4.10.17 [EOL]
  • linux411 4.11.12 [EOL]
  • linux412 4.12.13
  • linux413 4.13.2
  • linux-RT-LTS 4.9.40_rt30 (x86_64)
  • linux-RT 4.11.12_rt12 (x86_64)

Package Updates (Sat Sep 16 11:06:16 CEST 2017)

  • testing community i686: 43 new and 43 removed package(s)
  • testing community x86_64: 42 new and 42 removed package(s)
  • testing core i686: 3 new and 3 removed package(s)
  • testing core x86_64: 3 new and 3 removed package(s)
  • testing extra i686: 26 new and 26 removed package(s)
  • testing extra x86_64: 26 new and 26 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                             i3-gaps               4.13-1               4.14-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                             alembic              1.7.1-3              1.7.3-1
                             arc-kde           20170912-2           20170912-3
                                atom             1.19.7-1             1.20.0-1
                                axel             2.13.1-1               2.14-1
                         bitcoin-cli             0.15.0-1           0.15.0.1-1
                      bitcoin-daemon             0.15.0-1           0.15.0.1-1
                          bitcoin-qt             0.15.0-1           0.15.0.1-1
                          bitcoin-tx             0.15.0-1           0.15.0.1-1
                             blender            17:2.79-1            17:2.79-2
                                cloc               1.72-1               1.74-1
                                 dfc              3.1.0-1              3.1.1-1
                     fcitx-libpinyin              0.5.2-1              0.5.3-1
                          fcitx-m17n              0.2.3-1              0.2.4-1
                           fcitx-qt5              1.1.0-3              1.1.1-1
                   fcitx-table-extra              0.3.7-2              0.3.8-1
                   fcitx-table-other              0.2.3-2              0.2.4-1
                            kaffeine           2.0.12.1-2             2.0.13-1
                           kcm-fcitx              0.5.4-1              0.5.5-1
                               kicad              4.0.6-4              4.0.7-1
                    kicad-library-3d              4.0.6-1              4.0.7-1
                       kicad-library              4.0.6-1              4.0.7-1
                   kvantum-theme-arc           20170912-2           20170912-3
                             meataxe             2.4.24-5             2.4.24-6
                 messengerfordesktop              2.0.9-1  2.0.9+42+g4e4d6f1-2
                       perl-cpanplus             0.9168-3             0.9170-1
                                 pm2              2.6.1-2              2.7.0-1
                     purple-facebook              0.9.4-1              0.9.5-1
                        python-babel              2.5.0-1              2.5.1-1
                   python-hypothesis             3.27.1-1             3.28.0-1
                       python-psutil              5.3.0-1              5.3.1-1
                   python-sqlalchemy             1.1.13-1             1.1.14-1
                       python2-babel              2.5.0-1              2.5.1-1
                  python2-hypothesis             3.27.1-1             3.28.0-1
                      python2-psutil              5.3.0-1              5.3.1-1
                  python2-sqlalchemy             1.1.13-1             1.1.14-1
                              racket               6.10-1             6.10.1-1
                         racket-docs               6.10-1             6.10.1-1
                      racket-minimal               6.10-1             6.10.1-1
                            sagemath                8.0-3                8.0-4
                    sagemath-jupyter                8.0-3                8.0-4
                           terraform             0.10.4-1             0.10.5-1
                                wine               2.16-1               2.17-1


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                             i3-gaps               4.13-1               4.14-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                             alembic              1.7.1-3              1.7.3-1
                             arc-kde           20170912-2           20170912-3
                                atom             1.19.7-1             1.20.0-1
                                axel             2.13.1-1               2.14-1
                         bitcoin-cli             0.15.0-1           0.15.0.1-1
                      bitcoin-daemon             0.15.0-1           0.15.0.1-1
                          bitcoin-qt             0.15.0-1           0.15.0.1-1
                          bitcoin-tx             0.15.0-1           0.15.0.1-1
                             blender            17:2.79-1            17:2.79-2
                                cloc               1.72-1               1.74-1
                                 dfc              3.1.0-1              3.1.1-1
                     fcitx-libpinyin              0.5.2-1              0.5.3-1
                          fcitx-m17n              0.2.3-1              0.2.4-1
                           fcitx-qt5              1.1.0-3              1.1.1-1
                   fcitx-table-extra              0.3.7-2              0.3.8-1
                   fcitx-table-other              0.2.3-2              0.2.4-1
                            kaffeine           2.0.12.1-2             2.0.13-1
                           kcm-fcitx              0.5.4-1              0.5.5-1
                               kicad              4.0.6-4              4.0.7-1
                    kicad-library-3d              4.0.6-1              4.0.7-1
                       kicad-library              4.0.6-1              4.0.7-1
                   kvantum-theme-arc           20170912-2           20170912-3
                             meataxe             2.4.24-5             2.4.24-6
                 messengerfordesktop  2.0.9+42+g4e4d6f1-1  2.0.9+42+g4e4d6f1-2
                       perl-cpanplus             0.9168-3             0.9170-1
                                 pm2              2.6.1-2              2.7.0-1
                     purple-facebook              0.9.4-1              0.9.5-1
                        python-babel              2.5.0-1              2.5.1-1
                   python-hypothesis             3.27.1-1             3.28.0-1
                       python-psutil              5.3.0-1              5.3.1-1
                   python-sqlalchemy             1.1.13-1             1.1.14-1
                       python2-babel              2.5.0-1              2.5.1-1
                  python2-hypothesis             3.27.1-1             3.28.0-1
                      python2-psutil              5.3.0-1              5.3.1-1
                  python2-sqlalchemy             1.1.13-1             1.1.14-1
                              racket               6.10-1             6.10.1-1
                         racket-docs               6.10-1             6.10.1-1
                      racket-minimal               6.10-1             6.10.1-1
                            sagemath                8.0-3                8.0-4
                    sagemath-jupyter                8.0-3                8.0-4
                           terraform             0.10.4-1             0.10.5-1


:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                            linux316            3.16.47-1            3.16.48-1
                    linux316-headers            3.16.47-1            3.16.48-1
                     manjaro-release             17.0.4-1             17.0.5-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                            linux316            3.16.47-1            3.16.48-1
                    linux316-headers            3.16.47-1            3.16.48-1
                     manjaro-release             17.0.4-1             17.0.5-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                  linux316-acpi_call             1.1.0-30             1.1.0-31
                   linux316-bbswitch               0.8-29               0.8-30
                linux316-broadcom-wl       6.30.223.271-9      6.30.223.271-10
                   linux316-catalyst     1:15.201.1151-18     1:15.201.1151-19
                linux316-ndiswrapper               1.61-9              1.61-10
                     linux316-nvidia           1:375.82-2           1:375.82-3
               linux316-nvidia-304xx          1:304.134-9         1:304.134-10
               linux316-nvidia-340xx            340.102-4            340.102-5
                   linux316-nvidiabl              0.88-19              0.88-20
      linux316-open-vm-tools-modules      2:2013.09.16-29      2:2013.09.16-30
                      linux316-r8168           8.044.02-5           8.044.02-6
                  linux316-rt3562sta         2.4.1.1_r4-9        2.4.1.1_r4-10
                        linux316-spl              0.7.0-2              0.7.0-3
                   linux316-tp_smapi              0.41-29              0.41-30
                linux316-vhba-module           20161009-9          20161009-10
   linux316-virtualbox-guest-modules             5.1.28-1             5.1.28-2
    linux316-virtualbox-host-modules             5.1.28-1             5.1.28-2
                        linux316-zfs              0.7.0-2              0.7.0-3
                               pamac              5.1.1-4              6.0.0-1
                           pamac-dev             5.90.4-1              6.0.0-1
         pamac-dev-tray-appindicator             5.90.4-1              6.0.0-1
             pamac-tray-appindicator              5.1.1-4              6.0.0-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                              libzmf              0.0.1-2              0.0.2-1
                                ruby              2.4.1-3              2.4.2-1
                           ruby-docs              2.4.1-3              2.4.2-1
                   xfce4-eyes-plugin              4.4.5-1              4.5.0-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                  linux316-acpi_call             1.1.0-30             1.1.0-31
                   linux316-bbswitch               0.8-29               0.8-30
                linux316-broadcom-wl       6.30.223.271-9      6.30.223.271-10
                   linux316-catalyst     1:15.201.1151-18     1:15.201.1151-19
                linux316-ndiswrapper               1.61-9              1.61-10
                     linux316-nvidia           1:375.82-2           1:375.82-3
               linux316-nvidia-304xx          1:304.134-9         1:304.134-10
               linux316-nvidia-340xx            340.102-4            340.102-5
                   linux316-nvidiabl              0.88-19              0.88-20
      linux316-open-vm-tools-modules      2:2013.09.16-29      2:2013.09.16-30
                      linux316-r8168           8.044.02-5           8.044.02-6
                  linux316-rt3562sta         2.4.1.1_r4-9        2.4.1.1_r4-10
                        linux316-spl              0.7.0-2              0.7.0-3
                   linux316-tp_smapi              0.41-29              0.41-30
                linux316-vhba-module           20161009-9          20161009-10
   linux316-virtualbox-guest-modules             5.1.28-1             5.1.28-2
    linux316-virtualbox-host-modules             5.1.28-1             5.1.28-2
                        linux316-zfs              0.7.0-2              0.7.0-3
                               pamac              5.1.1-4              6.0.0-1
                           pamac-dev             5.90.4-1              6.0.0-1
         pamac-dev-tray-appindicator             5.90.4-1              6.0.0-1
             pamac-tray-appindicator              5.1.1-4              6.0.0-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                              libzmf              0.0.1-2              0.0.2-1
                                ruby              2.4.1-3              2.4.2-1
                           ruby-docs              2.4.1-3              2.4.2-1
                   xfce4-eyes-plugin              4.4.5-1              4.5.0-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
                                wine               2.16-1               2.17-1


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

Just like with the stable update also the testing updated perfectly.
Again thanks, Phil.


#3

Only a 5 package update for me, smooth as usual.


#4

New pamac 6.0.0-1 is amazing! :slight_smile:
I have one issue though with it: I can not move the window to the desktop with the mouse (gnome-shell).
I opened an issue here.
I added also greek translation.


#5

Installed new Pamac and it does look very good, how strange it won’t move though, in KDE and Gnome.

EDIT :

$ pamac-manager

(pamac-manager:7978): Gtk-CRITICAL **: gtk_widget_event: assertion 'WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

#6

Did the update as always in CLI, 9 packages - still got the red sun icon for 5 updates missing.

Opening up, “System is up to date”!
Refreshing the database - no change!

Something here is broken…


#7

Strange.

Partial update due to mirror not fully synced?

You could try re-syncing with stable, check mirrors and re-apply update… or even use unstable as it is in sync currently with testing.


#8

Could be…

Packages:

extra/appstream-glib                          0.6.13-1                    2,84 MiB             0,35 MiB
extra/archlinux-appstream-data                20170909-1                 17,33 MiB            16,70 MiB
extra/gcab                                    0.7+16+g4bc4be1-1           0,35 MiB             0,07 MiB
extra/libyaml                                 0.1.7-1                     0,17 MiB             0,05 MiB
extra/libzmf                    0.0.1-2       0.0.2-1                     0,00 MiB             0,17 MiB
core/manjaro-release            17.0.4-1      17.0.5-1                    0,00 MiB             0,01 MiB
extra/pamac                     5.1.1-4       6.0.0-1                     0,13 MiB             0,38 MiB
community/python-psutil         5.3.0-1       5.3.1-1                     0,05 MiB             0,28 MiB
extra/xfce4-eyes-plugin         4.4.5-1       4.5.0-1                     0,01 MiB             0,05 MiB

I’ll change to unstable, check again and report.


$ sudo pacman-mirrors -g && sudo pacman -Syyu
.: Info Downloading mirrors from repo.manjaro.org
.: Info Nutze benutzerspezifische Mirrordatei
.: Info Frage Mirrors ab - Dies kann einige Zeit in Anspruch nehmen
   0.225 Germany        : https://mirror.netzspielplatz.de/manjaro/packages/
.: Info Schreibe Mirrorliste
   Germany         : https://mirror.netzspielplatz.de/manjaro/packages/unstable
.: Info Mirror list generated and saved to: /etc/pacman.d/mirrorlist
:: Synchronisiere Paketdatenbanken...
 core                                                                                                                                                                 139,4 KiB  1341K/s 00:00 [########################################################################################################################] 100%
 extra                                                                                                                                                               1780,2 KiB  5,48M/s 00:00 [########################################################################################################################] 100%
 community                                                                                                                                                              4,3 MiB  4,89M/s 00:01 [########################################################################################################################] 100%
 multilib                                                                                                                                                             178,9 KiB  5,82M/s 00:00 [########################################################################################################################] 100%
:: Starte vollständige Systemaktualisierung...
Warnung: amule: Ignoriere Paket-Aktualisierung (10965-2 => 10990-2)
 Es gibt nichts zu tun

Same for Testing - Icon is still there.


#9

Solution:
Downgrade pamac to 5.1.1
–> windows pops up with one package to update (pamac itself)


Same error on my Unstable VM !

Pamac says, 5 packages are ready to update.

BTW:
There i got a update for Ruby ruby-2.4.2-1, in Testing it is missing - using the same server.
So Unstable and Testing are not in sync.


#10

Ruby update was included, see above announcement details…

-------------------------------------------------------------------------------
PACKAGE           2017-09-15           2017-09-16
-------------------------------------------------------------------------------
ruby              2.4.1-3              2.4.2-1

My testing system after update.

$ pacman -Qi ruby
Name            : ruby
Version         : 2.4.2-1
Description     : An object-oriented language for quick and easy programming

Whatever testing mirror you used I don’t think IT was completely synced.

Try a different mirror.


#11

can not move pamac window in xfce also.


#12

Did you try resetting the session after updating pamac?


#13

Deleted the old text.

Ruby is not installed, so back to start.
Only update is Pamac, which i downgraded cause of the bad habit showing 5 non-existing updates.


#14

How do i do this?

I do an extra click and update the DB when i got this.


#15

Reboot


#16

I can move pamac window but only if the cursor is over an icon or if it is over the various buttons of the bar (deepin)


#17

Good update on xfce. I love the new look of pamac!


#18

For those who didn’t follow @kouros17 Pamac bug link, its been fixed, just needs to deployed.

Which packages are these?

Have you cross checked them with the update package list phil posted in the first post.

Use a different mirror, re-sync with stable, upgrade using pacman with yyuu option, THEN change back to testing and try this update again.


#19

How should i know when there are no updates available?

I will install now the new pamac again, reboot and do what you suggest.


#20

Seems all good now after Reboot.
I’m back on Testing, no new updates, no update icon.

Thanks to all, esp. Sue.